$ErrorActionPreference = 'Stop';

$PackageName  = $env:ChocolateyPackageName
$App = $PackageName.Split(".")[0]
$InstallDir   = "$(Split-Path -parent $MyInvocation.MyCommand.Definition)"
$ToolsDir = Split-Path -parent $MyInvocation.MyCommand.Definition

$PackageArgs = @{
  PackageName   = $PackageName
  FileType      = 'exe'
  File64        = Get-Item $(Join-Path $ToolsDir "nyrna-windows-installer.exe")

  SoftwareName  = 'nyrna*'

  Checksum      = "0b59ec34a0c633dddce4737b936f52fe64f506757b563923924dbd5e666e9fa0d65fbf7b6dda1d7d15e34f403618385cd783bbb75a1e293ceb8bafaeb419969b"
  ChecksumType  = 'sha512'
  
  SilentArgs   = '/SILENT /VERYSILENT /SUPPRESSMSGBOXES /NORESTART /SP-'
  ValidExitCodes= @(0)
}

Install-ChocolateyPackage @PackageArgs
$InstallLocation = Get-AppInstallLocation "$PackageName*"

Remove-Item $(Get-Item $(Join-Path $ToolsDir "nyrna-windows-installer.exe"))

Write-Host "$PackageName registered as $App"